define(["exports", "deps/text!core/css/var.css"], function (exports, _var) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.name = undefined;
  exports.run = run;

  var _var2 = _interopRequireDefault(_var);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  const styleElement = document.createElement("style"); // Module core/highlight-vars
  // Highlights occurrences of a <var> within a .algorithm on click
  // if a <var> is set only once (unused/undeclared), it's highlighted with class ".bug"

  styleElement.textContent = _var2.default;
  styleElement.classList.add("removeOnSave");
  document.head.appendChild(styleElement);

  const name = exports.name = "core/highlight-vars";

  function run(conf, doc, cb) {
    for (const elem of document.querySelectorAll(".algorithm var")) {
      elem.addEventListener("click", highlightVars);
    }
    cb();
  }

  function highlightVars({ target }) {
    const value = target.innerText;
    const parent = target.closest(".algorithm");
    [...parent.querySelectorAll("var")].filter(el => el.innerText === value).forEach((el, _, { length }) => {
      const classToAdd = length === 1 ? "bug" : "active";
      el.classList.toggle(classToAdd);
    });
  }
});
//# sourceMappingURL=highlight-vars.js.map